Skip to content
OpenPostDocs
OpenPostDocs
Prompts

Create a custom writing prompt

POST/prompts

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/prompts" \  -H "Content-Type: application/json" \  -d '{    "category": "string",    "example": "string",    "text": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/PromptResponse.json",  "category": "string",  "created_at": "string",  "example": "string",  "id": "string",  "is_built_in": true,  "text": "string",  "user_id": "string",  "workspace_id": "string"}